{$APPTYPE CONSOLE}
uses Windows, SysUtils;

var 
    ts:String;
    interval:integer;
    needSeconds:Boolean;

function formatNum(num:Word):String;
begin
    if num<10 then Result:='0' + IntToStr(num)
    else Result:=IntToStr(num);
end;

function getTimeStamp:String;
var 
    DateTime:TDateTime;
    Year:Word;
    Month:Word;
    Day:Word;
    Hour:Word;
    Minute:Word;
    Second:Word;
    MilliSec:Word;

begin
    DateTime := Now;

    DecodeDate(DateTime, Year, Month, Day);
    DecodeTime(DateTime, Hour, Minute, Second, MilliSec);

    Year:=Year-2000;

    Result := formatNum(Year)+'_'+formatNum(Month)+'_'+formatNum(Day)+'__'+formatNum(Hour)+'_'+formatNum(Minute);
    if (needSeconds) then Result := Result+'_'+formatNum(Second)
end;


procedure updateFile(className:String);
var 
    f:Text;
    fileName:String;
begin
    fileName := 'demo_'+className+'.cfg';
    AssignFile(f, fileName);
    Rewrite(f);
    writeln(f, 'alias autorec "stop; record '+ts+'_'+className+'"');
    writeln(f, 'try_rec');
    CloseFile(f);

end;

begin
    if ParamCount=0 then interval := 60000
    else interval := StrToInt(ParamStr(1))*1000;

    writeln('Update every '+IntToStr(interval div 1000)+' seconds');
    writeln('Exit: Ctrl+C');

    needSeconds := (interval mod 60000) <> 0;

    while true do begin
        ts := getTimeStamp;
        updateFile('sco');
        updateFile('sol');
        updateFile('pyr');

        updateFile('dem');
        updateFile('hev');
        updateFile('eng');

        updateFile('med');
        updateFile('sni');
        updateFile('spy');
        sleep(interval);
    end;
end.